package com.example.civilizedcity.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.civilizedcity.entity.TaCheck;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TaCheckItem;
import com.example.civilizedcity.mapper.TaCheckItemMapper;
import com.example.civilizedcity.service.TaCheckItemService;

/**
 * 测评点位;(ta_check_item)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Service
public class TaCheckItemServiceImpl extends BaseServiceImpl<TaCheckItemMapper, TaCheckItem> implements TaCheckItemService {

    @Override
    public IPage<TaCheckItem> getPageBy(IPage<TaCheckItem> pg, String checkId, String itemType) {
        return baseMapper.getPageBy(pg, checkId, itemType);
    }

    @Override
    public void createNewItems(TaCheck taCheck) {
        // 先创建实地测试
        baseMapper.createNewLocItems(taCheck.getCheckId());
        // 再创建调查问卷
        TaCheckItem taCheckItem = new TaCheckItem();
        taCheckItem.setCheckId(taCheck.getCheckId());
        taCheckItem.setItemType("survey");
        taCheckItem.setName("调查问卷");
        save(taCheckItem);
    }
}